#
# spec file for package ocaml-re
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg ocaml-re
Name:           %pkg%nsuffix
Version:        1.11.0
Release:        1.4
%{?ocaml_preserve_bytecode}
Summary:        Pure OCaml regular expressions
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/re
Source0:        %pkg-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.0
BuildRequires:  ocaml-rpm-macros >= 20230101
%if 1
BuildRequires:  ocamlfind(seq)
BuildRequires:  ocamlfind(str)
%endif

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(oUnit)
BuildRequires:  ocamlfind(re)
%endif

%description
Pure OCaml regular expressions, with support for Perl and POSIX-style strings.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version-%release

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='re'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files

%files devel -f %name.files.devel

%endif

%changelog
* Sat Sep  9 2023 ohering@suse.de
- Update to version 1.11.0
  see included CHANGES.md for details
* Wed Apr 27 2022 ohering@suse.de
- Update to version 1.10.4
  see included CHANGES for details
* Sat Sep 11 2021 ohering@suse.de
- Update to version 1.10.3
  see included CHANGES for details
* Thu Jan 21 2021 ohering@suse.de
- remove dependency to ounit via _multibuild
* Sun Apr 12 2020 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Mon Sep 23 2019 ohering@suse.de
- Update to upstream release 1.9.0
  * Fix regression in `Re.exec_partial`
  * Mov gen related functions to `Re.Gen` and deprecate the old names
  * Introduce `Re.View` that exposes the internal representation
  * Fix index-out-of-bounds exception in Re.Perl.re
  * Add seq based iterators
* Mon Feb 18 2019 andy@onthewings.net
- Fix install section for ocaml-dune 1.7.1.
* Tue Feb  5 2019 andy@onthewings.net
- Use OCaml-LGPL-linking-exception in License.
- Update dune build command.
* Mon Jun 11 2018 andy@onthewings.net
- Package the .dune files produced by latest dune.
* Mon Apr 23 2018 andy@onthewings.net
- Remove dependency on opam by doing a cp instead of "jbuilder
  install" in %%install.
* Tue Apr 17 2018 andy@onthewings.net
- Update to upstream release 1.7.3.
  * Build system was switched to dune(jbuilder).
  * Remove dependency on bytes package.
  * Deprecate all Re_* modules. Re_x is now available as Re.X.
  * Deprecate all re.x sub libraries. Those are all available as Re.X.
  * Make all function in Re.Str tail recursive.
- Fix license.
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Update to version 1.7.1.20161019.bb3ef4b
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jun 20 2016 ohering@suse.de
- Initial version 1.6.1.20160618.b46ae88
